<template>
  <b-modal
    :title="title"
    ref="myModalRef"
    ok-title="保存"
    @ok="handleOk"
    @cancel="clearName"
    cancel-title="取消"
  >
    <div>
      <b-form-group
        horizontal
        label="角色名称："
        :label-cols="2"
        label-class="text-sm-right"
        label-for="input_username"
      >
        <b-form-input
          autocomplete="off"
          required
          id="input_username"
          v-model="name"
          placeholder="请输入角色名称"
        />
      </b-form-group>
    </div>
  </b-modal>
</template>

<script>
export default {
  props: {
    title: String,
    item: Object
  },
  data: () => ({
    name: ''
  }),
  methods: {
    // * 打开modal
    showModel() {
      this.$refs.myModalRef.show()
      this.$nextTick(() => {
        this.reView(this.item)
      })
    },
    hideModel () {
      this.$refs.myModalRef.hide()
    },
    // 回显
    reView(item) {
      if (item) {
        this.name = item.name
      } else {
        this.name = ''
      }
    },
    // * 提交表单
    handleOk(e) {
      e.preventDefault()
      if (!this.name) {
        this.$toast({
          type: 'warning',
          message: '请输入角色名称'
        })
        return
      }
      this.$emit('submit', this.name, this.item ? this.item.id : '')
    },
    // * 取消
    clearName() {}
  }
}
</script>
